#y8k #thread #complete #serial #altar #can0 

## Notes
i'd like to make THE ALTAR its own serial which would cross over into can0 here, but for now this is can0

## Timestamp
1205840520

## Cast
[[alt]]